{
  inputs,
  pkgs,
  ...
}:
let
  # go-migrate-pg = pkgs.go-migrate.overrideAttrs (oldAttrs: {
  #   tags = [ "postgres" ];
  # });
in
{
  nix.settings.trusted-users = [
    "root"
    "fw"
  ];

  environment.systemPackages = with pkgs; [
  	# Neovim
	inputs.neovim-nightly-overlay.packages.${pkgs.stdenv.hostPlatform.system}.default

  	# Nix
    nixfmt-rfc-style

	# Docker
    # dive
    lazydocker

	# Jobb
    gh
    # awscli
    # minio-client
    # dotnetCorePackages.dotnet_9.sdk
	# opentofu
    # azure-cli
    # jira-cli-go

	# Blogging
	# zola

	# System Design
    # sqlc
    # postgresql
    # plantuml

	# Web Dev
    # tailwindcss
    # prettierd

	# Go
    # go
    # air
    # templ
    # go-migrate-pg

	# Build
    git
    gcc
    # gnumake
    # cmake

	# System Tools
    yq
    jq
    git
    # qrencode
  ];
}
